net.sourceforge.pmd.lang.java.ast

## Class ASTClassOrInterfaceDeclaration

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractNode
  - - net.sourceforge.pmd.lang.java.ast.AbstractJavaNode
    - - net.sourceforge.pmd.lang.java.ast.AbstractJavaAccessNode
      - - net.sourceforge.pmd.lang.java.ast.AbstractJavaAccessTypeNode
        - - net.sourceforge.pmd.lang.java.ast.ASTClassOrInterfaceDeclaration

All Implemented Interfaces:
  Node, AccessNode, JavaNode, TypeNode

    public class ASTClassOrInterfaceDeclaration
    extends AbstractJavaAccessTypeNode

### Field Summary

### Fields inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaNode

`parser`

### Fields inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`beginColumn, beginLine, children, endColumn, endLine, id, parent`

### Fields inherited from interface net.sourceforge.pmd.lang.java.ast.AccessNode

`ABSTRACT, FINAL, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICTFP, SYNCHRONIZED, TRANSIENT, VOLATILE`

### Constructor Summary

Constructors
Constructor and Description
`ASTClassOrInterfaceDeclaration(int id)`
`ASTClassOrInterfaceDeclaration(JavaParser p, int id)`

### Method Summary

Methods
`boolean` `isFindBoundary()`
`boolean` `isInterface()`
`boolean` `isNested()`
`Object` `jjtAccept(JavaParserVisitor visitor, Object data)` Accept the visitor
`void` `setInterface()`

### Methods inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaAccessTypeNode

`getType, setType`

### Methods inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaAccessNode

`getModifiers, isAbstract, isFinal, isNative, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, isStrictfp, isSynchronized, isTransient, isVolatile, setAbstract, setFinal, setModifiers, setNative, setPrivate, setProtected, setPublic, setStatic, setStrictfp, setSynchronized, setTransient, setVolatile`

### Methods inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaNode

`childrenAccept, comment, comment, getScope, jjtClose, jjtOpen, setScope, toString`

### Methods inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`appendElement, findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDecendantOfAnyType, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isSingleLine, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData, testingOnly__setBeginColumn, testingOnly__setBeginLine, testingOnly__setEndColumn, testingOnly__setEndLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.sourceforge.pmd.lang.ast.Node

`findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData`

### Constructor Detail

#### ASTClassOrInterfaceDeclaration

    public ASTClassOrInterfaceDeclaration(int id)

#### ASTClassOrInterfaceDeclaration

    public ASTClassOrInterfaceDeclaration(JavaParser p,
                                  int id)

### Method Detail

#### isFindBoundary

    public boolean isFindBoundary()

Specified by:
  `isFindBoundary` in interface `Node`
Overrides:
  `isFindBoundary` in class `AbstractNode`

#### jjtAccept

    public Object jjtAccept(JavaParserVisitor visitor,
                   Object data)

Accept the visitor. *

Specified by:
  `jjtAccept` in interface `JavaNode`
Overrides:
  `jjtAccept` in class `AbstractJavaNode`

#### isNested

    public boolean isNested()

#### isInterface

    public boolean isInterface()

#### setInterface

    public void setInterface()